Package com.sun.jna.platform.win32.COM.tlb.imp

## Class TlbCmdlineArgs

- java.lang.Object
- - java.util.Dictionary<K,​V>
  - - java.util.Hashtable<java.lang.String,​java.lang.String>
    - - com.sun.jna.platform.win32.COM.tlb.imp.TlbCmdlineArgs

- All Implemented Interfaces:
    `TlbConst`, `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​java.lang.String>`

      public class TlbCmdlineArgs
      extends java.util.Hashtable<java.lang.String,​java.lang.String>
      implements TlbConst

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.tlb.imp.TlbConst

      `BINDING_MODE_DISPID, BINDING_MODE_VTABLE, CMD_ARG_BINDING_MODE, CMD_ARG_OUTPUT_DIR, CMD_ARG_TYPELIB_FILE, CMD_ARG_TYPELIB_ID, CMD_ARG_TYPELIB_MAJOR_VERSION, CMD_ARG_TYPELIB_MINOR_VERSION, CR, CRCR, TYPELIB_ID_OFFICE, TYPELIB_ID_SHELL, TYPELIB_ID_WORD, TYPELIB_MAJOR_VERSION_OFFICE, TYPELIB_MAJOR_VERSION_SHELL, TYPELIB_MAJOR_VERSION_WORD, TYPELIB_MINOR_VERSION_OFFICE, TYPELIB_MINOR_VERSION_SHELL, TYPELIB_MINOR_VERSION_WORD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlbCmdlineArgs​(java.lang.String[] args)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBindingMode()` |
    `int` | `getIntParam​(java.lang.String key)` |
    `java.lang.String` | `getParam​(java.lang.String key)` |
    `java.lang.String` | `getRequiredParam​(java.lang.String key)` |
    `boolean` | `isTlbFile()` |
    `boolean` | `isTlbId()` |
    `void` | `showCmdHelp()` |

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TlbCmdlineArgs

          public TlbCmdlineArgs​(java.lang.String[] args)

  - ### Method Detail

    - #### getIntParam

          public int getIntParam​(java.lang.String key)

    - #### getParam

          public java.lang.String getParam​(java.lang.String key)

    - #### getRequiredParam

          public java.lang.String getRequiredParam​(java.lang.String key)

    - #### isTlbFile

          public boolean isTlbFile()

    - #### isTlbId

          public boolean isTlbId()

    - #### getBindingMode

          public java.lang.String getBindingMode()

    - #### showCmdHelp

          public void showCmdHelp()